.button {
	padding: 24px 50px;
	display: inline-block;

	font-family: 'DINCond-Bold';
	font-size: $base-font-size * 1px;
	text-transform: uppercase;
	color:$color-white;

	@include borderRadius(2px);
	@include transition(all .2s ease);

	&_sm {
		font-family: 'Arial';
		text-transform: none;
		padding: 7px 11px;
		font-size: ($base-font-size - 2) * 1px;
	}

	&_md {
		padding: 13px 33px;
	}

	&_shape_grey {
		background-color: $color-white;
		border:1px solid #d8d8d8;
		color: $color-primary;
		&:hover {
			background: #d8d8d8;
		}
	}

	&_full_grey {
		background-color: $color-grey;
		border:1px solid $color-grey;
		color: $color-primary;
		&:hover {
			background: $color-white;
		}
	}

	&_banner-visitor {
		background-color: $color-white;
		@include font-size(18);
		color: $color-secondary;
		&:hover {
			background-color: $color-secondary;
			color: $color-white;
		}
	}


	@include screen-size(md) {
		width: 100%;
		text-align: center;
		&_sm {
			width: auto;
		}
		&_md {
			padding-left:0;
			padding-right:0;
		}
	}

	&--orange {
		position: relative;
		display: -ms-flexbox;
		display: flex;
		-ms-flex-pack: center;
		justify-content: center;
		-ms-flex-align: center;
		align-items: center;
		border: 2px solid $color-secondary;
		vertical-align: middle;
		@include font-size(16);
		line-height: 50px;
		color: $color-secondary;
		background-color: #fff;
		text-decoration: none;
		font-family: DINCond,sans-serif;
		font-weight: 700;
		&:hover {
			color: $color-secondary-hover;
		}
		img {
			display: inline-block;
			vertical-align: middle;
			margin-right: 15px;
		}
	}

  body.sign-up &, body.login & {
    width: 100%;
  }
}


.button_full {
	background-color: $color-secondary;
	&:hover {
		background: $color-secondary-hover;
		color: $color-white;
	}
	&:focus, &:active {
		background: $color-secondary-focus;
	}
	&--disable {
		background-color: $color-grey;
	}
}
.button_shape {
	background-color: $color-white;
	border:1px solid $color-secondary;
	color: $color-secondary;
	&:hover {
		border:1px solid $color-secondary-hover;
		color:$color-secondary-hover;
	}
}
.button_orange {
	background-color: $color-secondary;
	&:hover {
		background-color: $color-secondary-hover;
		color: $color-white;
	}
	&:focus, &:active {
		background-color: $color-secondary-focus;
	}
	&--disable {
		background-color: $color-grey;
	}
}
.button_blue {
	background-color: $color-tertiary;
	&:hover {
		background-color: $color-tertiary-hover;
		color: $color-white;
	}
	&:focus, &:active {
		background-color: $color-tertiary-focus;
	}
	&--disable {
		background-color: $color-tertiary-disable;
	}
}
.button_select {
	background-color: $color-grey;
	color: $color-primary;
	&:hover {
		background: $color-secondary-hover;
		color: $color-white;
	}
}

.button_active {
  background-color: $color-secondary;
  color: $color-white;
  &:hover {
    background: $color-grey;
    color: $color-primary;
  }
}

.is-logged, .is-logged.is-subscribed .site-header {
	.button_full {
		background-color: $color-secondary;
		&:hover {
			background-color: $color-secondary-hover;
		}
		&:focus, &:active {
			background-color: $color-secondary-focus;
		}
		&--disable {
			background-color: $color-grey;
		}
	}
	.button_shape {
		background-color: $color-white;
		border:1px solid $color-secondary;
		color: $color-secondary;
		&:hover {
			border:1px solid $color-secondary-hover;
			color:$color-secondary-hover;
		}
	}
}

.is-subscribed, .is-logged .site-header {
	.button_full {
		background-color: $color-tertiary;
		&:hover {
			background: $color-tertiary-hover;
		}
		&:focus, &:active {
			background-color: $color-tertiary-focus;
		}
		&--disable {
			background-color: $color-tertiary-disable;
		}
	}
	.button_shape {
		background-color: $color-white;
		border:1px solid $color-tertiary;
		color: $color-tertiary;
		&:hover {
			border:1px solid $color-tertiary-hover;
			color:$color-tertiary-hover;
		}
	}
}
